Bug 461204 - audit event for d_path not encoded right
audit event for d_path not encoded right
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Eric Paris
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-04 17:01 EDT by Steve Grubb
Modified: 2009-08-12 11:11 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-12 11:11:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Grubb 2008-09-04 17:01:14 EDT
Description of problem:
audit_log_d_path calls audit_log_format where prefix can take the form of name= and can then take either quote delim or on error paths completely messing things up.

Version-Release number of selected component (if applicable):
all rhel5 kernels


Steps to Reproduce:
1. found by code inspection
Comment 1 RHEL Product and Program Management 2009-02-16 10:33:31 EST
Updating PM score.
Comment 3 Eric Paris 2009-08-12 11:11:06 EDT
Fixed upstream, I don't see a great reason to backport to RHEL5....

I'm going to close WONTFIX, you can reopen if you disagree steve

Note You need to log in before you can comment on or make changes to this bug.